<?php
/**
 * This form serves you to modify the basic configuration of your installation
 */
session_start();
if(!isset($_SESSION['login']) || $_SESSION['login'] !== true){
    header("Location: login.php");
    exit();
}
define("ADMIN", true);
require_once("../common/lib.php");
require_once("../common/setenv.php");
        
$config_file = "../common/config.php";
$field_notice = array();
$config_tmp = array();
$db = false;

require_once("../common/define.php");

if(isset($_POST['edit_settings'])){

    $config_tmp['site_title'] = htmlentities($_POST['site_title'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['time_zone'] = htmlentities($_POST['time_zone'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['lang_enabled'] = isset($_POST['lang_enabled']) ? htmlentities($_POST['lang_enabled'], ENT_QUOTES|ENT_XML1, "UTF-8") : "";
    $config_tmp['template'] = htmlentities($_POST['template'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['owner'] = htmlentities($_POST['owner'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['address'] = preg_replace("/([\n\r])/", "", nl2br(htmlentities($_POST['address'], ENT_QUOTES|ENT_XML1, "UTF-8")));
    $config_tmp['phone'] = htmlentities($_POST['phone'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['fax'] = htmlentities($_POST['fax'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['email'] = htmlentities($_POST['email'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['user'] = htmlentities($_POST['user'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['password'] = $_POST['password'];
    $config_tmp['db_name'] = htmlentities($_POST['db_name'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['db_host'] = htmlentities($_POST['db_host'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['db_port'] = htmlentities($_POST['db_port'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['db_user'] = htmlentities($_POST['db_user'], ENT_QUOTES|ENT_XML1, "UTF-8");
    $config_tmp['db_pass'] = htmlentities($_POST['db_pass'], ENT_QUOTES|ENT_XML1, "UTF-8");
    
    if(check_token("/admin/settings.php", "settings", "post")){
        
        if($config_tmp['time_zone'] == "") $field_notice['time_zone'] = $texts['REQUIRED_FIELD'];
        if($config_tmp['lang_enabled'] == "") $field_notice['lang_enabled'] = $texts['REQUIRED_FIELD'];
        if($config_tmp['template'] == "") $field_notice['template'] = $texts['REQUIRED_FIELD'];
        if($config_tmp['user'] == "") $field_notice['user'] = $texts['REQUIRED_FIELD'];
        if($config_tmp['password'] == "") $field_notice['password'] = $texts['REQUIRED_FIELD'];
        elseif($config_tmp['password'] != $_POST['password2']) $field_notice['password'] = $texts['PASSWORD_DONT_MATCH'];
        elseif(mb_strlen($config_tmp['password'], "UTF-8") < 6) $field_notice['password'] = $texts['PASSWORD_TOO_SHORT'];
        if($config_tmp['db_name'] == "") $field_notice['db_name'] = $texts['REQUIRED_FIELD'];
        if($config_tmp['db_host'] == "") $field_notice['db_host'] = $texts['REQUIRED_FIELD'];
        if($config_tmp['db_port'] == "") $field_notice['db_port'] = $texts['REQUIRED_FIELD'];
        if($config_tmp['db_user'] == "") $field_notice['db_user'] = $texts['REQUIRED_FIELD'];
        if($config_tmp['db_pass'] == "") $field_notice['db_pass'] = $texts['REQUIRED_FIELD'];

        if($config_tmp['email'] == "" || !preg_match("/^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,6}$/i", $config_tmp['email'])) $field_notice['email'] = $texts['INVALID_EMAIL'];

        if(count($field_notice) == 0){

            try{
                $db = new db("mysql:host=".$config_tmp['db_host'].";port=".$config_tmp['db_port'].";dbname=".$config_tmp['db_name'].";charset=utf8", $config_tmp['db_user'], $config_tmp['db_pass']);
                $db->exec("SET NAMES 'utf8'");
            }catch(PDOException $e){
                $_SESSION['msg_error'] .= $texts['DATABASE_ERROR'];
            }

            if($db !== false){

                $config_str = file_get_contents($config_file);

                foreach($config_tmp as $key => $value){
                    $key = mb_strtoupper($key, "UTF-8");
                    $config_str = preg_replace("/define\((\"|')".$key."(\"|'),\s*(\"|')?([^\n\"']*)(\"|')?\);/", "define(\"".$key."\", \"".$value."\");", $config_str);
                }
                
                if(file_put_contents($config_file, $config_str) === false){
                    $_SESSION['msg_notice'] .= $texts['CONFIG_NOTICE'];
                    $_SESSION['msg_notice'] .= preg_replace("/(\r\n|\n|\r)/", "", nl2br(htmlentities($config_str, ENT_QUOTES, "UTF-8")));
                }else
                    $_SESSION['msg_success'] .= $texts['CONFIG_SAVED'];
                    
                header("Location: settings.php");
                exit();
            }
        }else
            $_SESSION['msg_error'] .= $texts['FORM_ERRORS'];
    }else
        $_SESSION['msg_error'] .= $texts['BAD_TOKEN1'];
}

define("TITLE_ELEMENT", $texts['SETTINGS']);

if(!isset($_POST['edit_settings'])){
    $config_tmp['site_title'] = SITE_TITLE;
    $config_tmp['time_zone'] = TIME_ZONE;
    $config_tmp['lang_enabled'] = LANG_ENABLED;
    $config_tmp['template'] = TEMPLATE;
    $config_tmp['owner'] = OWNER;
    $config_tmp['address'] = ADDRESS;
    $config_tmp['phone'] = PHONE;
    $config_tmp['fax'] = FAX;
    $config_tmp['email'] = EMAIL;
    $config_tmp['user'] = USER;
    $config_tmp['password'] = PASSWORD;
    $config_tmp['db_name'] = DB_NAME;
    $config_tmp['db_host'] = DB_HOST;
    $config_tmp['db_port'] = DB_PORT;
    $config_tmp['db_user'] = DB_USER;
    $config_tmp['db_pass'] = DB_PASS;
}

require_once("includes/fn_module.php");
$csrf_token = get_token("settings"); ?>
<!DOCTYPE html>
<head>
    <?php include("includes/inc_header_common.php"); ?>
     <script>
        $(function(){
            $('#db_name').bind('blur keyup', function(){
                $('#db_user').val($(this).val());
            });
            <?php foreach($field_notice as $field => $notice) echo "$('.field-notice[rel=\"".$field."\"]').html('".addslashes($notice)."').fadeIn('slow').parent().addClass('alert alert-danger');\n"; ?>
        });
    </script>
</head>
<body>
    <div id="overlay"><div id="loading"></div></div>
    <div id="wrapper">
        <?php include(SYSBASE."admin/includes/inc_top.php"); ?>
        
        <form id="form" class="form-horizontal" role="form" action="settings.php" method="post" enctype="multipart/form-data">
            <input type="hidden" name="csrf_token" value="<?php echo $csrf_token; ?>">
            <div id="page-wrapper">
                <div class="page-header">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-6 clearfix">
                                <h1 class="pull-left"><i class="fa fa-cog"></i> <?php echo TITLE_ELEMENT; ?></h1>
                            </div>
                            <div class="col-md-6 clearfix pb15 text-right">
                                <?php
                                /*$writable = (!is_rwx($settings_file)) ? false : true;
                                $writable = true;
                                if(!$writable){ ?>
                                    <a href="settings.php" title="Check settings.xml again" class="btn btn-default mt15" data-toggle="tooltip" data-placement="left"><i class="fa fa-refresh"></i></a>
                                    <?php
                                }*/ ?>
                                <button type="submit" name="edit_settings" class="btn btn-success mt15">
                                    <i class="fa fa-floppy-o"></i> <?php echo $texts['SAVE']; ?>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="container-fluid">
                <div class="alert-container">
                    <div class="alert alert-success alert-dismissable"></div>
                    <div class="alert alert-warning alert-dismissable"></div>
                    <div class="alert alert-danger alert-dismissable"></div>
                </div>
                <div class="panel panel-default">
                    <ul class="nav nav-tabs pt5">
                        <li class="active"><a data-toggle="tab" href="#general"><i class="fa fa-cog"></i> <?php echo $texts['GENERAL']; ?></a></li>
                        <li><a data-toggle="tab" href="#contact"><i class="fa fa-user"></i> <?php echo $texts['CONTACT']; ?></a></li>
                        <li><a data-toggle="tab" href="#database"><i class="fa fa-database"></i> <?php echo $texts['DATABASE']; ?></a></li>
                    </ul>
                    <div class="panel-body">
                        <div class="tab-content">
                            <div id="general" class="tab-pane fade in active">
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['SITE_TITLE']; ?>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['site_title']; ?>" name="site_title">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['USER']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['user']; ?>" name="user">
                                                <div class="field-notice" rel="user"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['PASSWORD']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-4">
                                                <input class="form-control" type="password" value="<?php echo $config_tmp['password']; ?>" name="password" placeholder="<?php echo $texts['PASSWORD_NOTICE']; ?>">
                                                <div class="field-notice" rel="password"></div>
                                            </div>
                                            <div class="col-md-4">
                                                <input class="form-control" type="password" value="" name="password2" placeholder="<?php echo $texts['PASSWORD_CONFIRM']; ?>">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['EMAIL']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['email']; ?>" name="email">
                                                <div class="field-notice" rel="email"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['TIME_ZONE']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['time_zone']; ?>" name="time_zone">
                                                <div class="field-notice" rel="time_zone"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <label class="col-md-2 control-label">
                                        <?php echo $texts['ENABLE_LANGUAGES']; ?> <span class="red">*</span>
                                    </label>
                                    <div class="col-md-6">
                                        <label class="radio-inline">
                                            <input name="lang_enabled" type="radio" value="0"<?php if($config_tmp['lang_enabled'] == 0) echo " checked=\"checked\""; ?>>&nbsp;<?php echo $texts['NO_OPTION']; ?><br>
                                        </label>
                                        <label class="radio-inline">
                                            <input name="lang_enabled" type="radio" value="1"<?php if($config_tmp['lang_enabled'] == 1) echo " checked=\"checked\""; ?>>&nbsp;<?php echo $texts['YES_OPTION']; ?><br>
                                        </label>
                                        <div class="field-notice" rel="lang_enabled"></div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['TEMPLATE']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <div class="form-inline">
                                                    <select name="template" class="form-control">
                                                        <?php
                                                        $dir = "../templates/";
                                                        $rep = opendir($dir) or die("Error directory opening : ".$dir);
                                                        while($entry = @readdir($rep)){
                                                            if(is_dir($dir."/".$entry) && $entry != "." && $entry != ".."){
                                                                $selected = ($config_tmp['template'] == $entry) ? " selected=\"selected\"" : ""; ?>
                                                                <option value="<?php echo $entry; ?>"<?php echo $selected; ?>><?php echo $entry; ?></option>
                                                                <?php
                                                            }
                                                        } ?>
                                                    </select>
                                                    <div class="field-notice" rel="template"></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="contact" class="tab-pane fade">
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['NAME']; ?>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['owner']; ?>" name="owner">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['ADDRESS']; ?>
                                            </label>
                                            <div class="col-md-8">
                                                <textarea class="form-control" name="address"><?php echo br2nl($config_tmp['address']); ?></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['PHONE']; ?>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['phone']; ?>" name="phone">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['FAX']; ?>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['fax']; ?>" name="fax">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="database" class="tab-pane fade">
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['NAME']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['db_name']; ?>" name="db_name">
                                                <div class="field-notice" rel="db_name"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['HOST']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['db_host']; ?>" name="db_host">
                                                <div class="field-notice" rel="db_host"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['PORT']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['db_port']; ?>" name="db_port">
                                                <div class="field-notice" rel="db_port"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['USER']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="text" value="<?php echo $config_tmp['db_user']; ?>" name="db_user">
                                                <div class="field-notice" rel="db_user"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row mb10">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <label class="col-md-3 control-label">
                                                <?php echo $texts['PASSWORD']; ?> <span class="red">*</span>
                                            </label>
                                            <div class="col-md-8">
                                                <input class="form-control" type="password" value="<?php echo $config_tmp['db_pass']; ?>" name="db_pass">
                                                <div class="field-notice" rel="db_pass"></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="panel-footer"></div>
                </div>
            </div>
        </form>
    </div>
</body>
</html>
<?php
$_SESSION['msg_error'] = "";
$_SESSION['msg_success'] = "";
$_SESSION['msg_notice'] = ""; ?>
