-- SQL SCRIPT FOR THE DATABASE OF PANDAO CMS

-- lang
-- lang_file
-- page
-- page_file
-- media
-- media_file
-- text
-- widget
-- article
-- article_file
-- comment
-- tag
-- slide
-- slide_file

-- **** Edit with the name of your database ****
-- CREATE DATABASE IF NOT EXISTS MY_DATABASE;
USE testpandao;

-- **** Uncomment the following line if you are allowed to create users ****
-- GRANT SELECT, INSERT, UPDATE, DELETE ON MY_DATABASE.* TO 'MY_USER'@'localhost' IDENTIFIED BY 'MY_PASSWORD' WITH MAX_QUERIES_PER_HOUR 0 MAX_CONNECTIONS_PER_HOUR 0 MAX_UPDATES_PER_HOUR 0 MAX_USER_CONNECTIONS 0;
    
-- **** No need to change anything passed this line ****

-- ================= CREATION OF THE TABLE pm_lang ===============

CREATE TABLE IF NOT EXISTS pm_lang(
    id int NOT NULL AUTO_INCREMENT,
    title varchar(20),
    locale varchar(20),
    main int DEFAULT 0,
    checked int DEFAULT 0,
    rank int DEFAULT 0,
    tag varchar(20),
    PRIMARY KEY(id)
) ENGINE=INNODB ENGINE=INNODB DEFAULT CHARSET=utf8;

INSERT INTO pm_lang (id, title, locale, main, checked, rank, tag) VALUES
(1,'French','fr_FR',0,1,2,'fr'),
(2,'English','en_GB',1,1,1,'en');

-- ============== CREATION OF THE TABLE pm_lang_file =============

CREATE TABLE IF NOT EXISTS pm_lang_file (
    id int NOT NULL AUTO_INCREMENT,
    id_item int NOT NULL,
    home int DEFAULT 0,
    checked int DEFAULT 1,
    rank int DEFAULT 0,
    file varchar(250),
    label varchar(250),
    type varchar(20),
    PRIMARY KEY(id)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_lang_file ADD CONSTRAINT lang_file_fkey FOREIGN KEY (id_item) REFERENCES pm_lang(id) ON UPDATE NO ACTION ON DELETE CASCADE;

INSERT INTO pm_lang_file (id, id_item, home, checked, rank, file, label, type) VALUES
(1, 1, 0, 1, 2, 'fr.png', '', 'image'),
(2, 2, 0, 1, 1, 'gb.png', '', 'image');

-- ================= CREATION OF THE TABLE pm_page ===============

CREATE TABLE IF NOT EXISTS pm_page(
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    name varchar(50),
    title varchar(250),
    subtitle varchar(250),
    title_tag varchar(250),
    alias varchar(50),
    descr longtext,
    robots varchar(20),
    keywords varchar(250),
    intro longtext,
    text longtext,
    text2 longtext,
    id_parent int,
    page_model varchar(50),
    article_model varchar(50),
    main int DEFAULT 1,
    footer int DEFAULT 0,
    home int DEFAULT 0,
    checked int DEFAULT 0,
    rank int DEFAULT 0,
    add_date int,
    edit_date int,
    system int DEFAULT 0,
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_page ADD CONSTRAINT page_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Content OF THE TABLE pm_page
--

INSERT INTO pm_page (id, lang, name, title, subtitle, title_tag, alias, descr, robots, keywords, intro, text, text2, id_parent, page_model, article_model, main, footer, home, checked, rank, add_date, edit_date, system) VALUES
(1, 1, 'Accueil', 'Lorem ipsum dolor sit amet', 'Consectetur adipiscing elit', 'Accueil', '', '', 'index,follow', '', '', '', '', 0, 'home', '', 1, 0, 1, 1, 1, 1398853151, 1425324017, 0),
(1, 2, 'Home', 'Pandao CMS', 'web software to create and manage your own website', 'Pandao CMS web software to create and manage your own website', '', '', 'index,follow', '', '', '<h3>Light weight</h3>\r\n\r\n<p><em>"The web should be fast", Google.</em> Only 10Mb and less than 450 files against 20Mb and a bit more than 1100 files for a famous CMS! <strong>Optimized page loading</strong> to be faster and more efficient.</p>\r\n\r\n<hr />\r\n<h3>Multilingual support</h3>\r\n\r\n<p><strong>Ready to be translated!</strong> Simply insert a new language into the admin panel and draft your articles, your pages and other texts in your website...</p>\r\n\r\n<hr />\r\n<h3>Easy to use</h3>\r\n\r\n<p>Studied to be personalized by novices and used by <strong>people without skills in computing</strong>. All the features are simple and intuitive.</p>\r\n', '', 0, 'home', '', 1, 0, 1, 1, 1, 1398853151, 1425324017, 0),
(2, 1, 'Contact', 'Contact', '', 'Contact', 'contact', '', 'index,follow', '', '', '', '', 0, 'contact', '', 1, 1, 0, 1, 4, 1399884389, 1400935303, 0),
(2, 2, 'Contact', 'Contact', '', 'Contact', 'contact', '', 'index,follow', '', '', '', '', 0, 'contact', '', 1, 1, 0, 1, 4, 1399884389, 1400935303, 0),
(3, 1, 'Mentions légales', 'Mentions légales', '', 'Mentions légales', 'mentions-legales', '', 'index,follow', '', '', '', '', 0, 'page', '', 0, 1, 0, 1, 5, 1399884471, 1400685379, 0),
(3, 2, 'Legal notices', 'Legal notices', '', 'Legal notices', 'legal-notices', '', 'index,follow', '', '', '', '', 0, 'page', '', 0, 1, 0, 1, 5, 1399884471, 1400685379, 0),
(4, 1, 'Plan du site', 'Plan du site', '', 'Plan du site', 'plan-site', '', 'index,follow', '', '', '', '', 0, 'sitemap', '', 0, 1, 0, 1, 6, 1399884533, 1399884533, 0),
(4, 2, 'Sitemap', 'Sitemap', '', 'Sitemap', 'sitemap', '', 'index,follow', '', '', '', '', 0, 'sitemap', '', 0, 1, 0, 1, 6, 1399884533, 1399884533, 0),
(5, 1, 'Ma première page', 'Ma première page', '', 'Ma première page', 'my-first-page', '', 'index,follow', '', '', '', '', 0, 'page', 'article', 1, 0, 0, 1, 2, 1399884533, 1425324797, 0),
(5, 2, 'My first page', 'My first page', '', 'My first page', 'my-first-page', '', 'index,follow', '', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque fringilla vel est at rhoncus. Cras porttitor ligula vel magna vehicula accumsan. Mauris eget elit et sem commodo interdum. Aenean dolor sem, tincidunt ac neque tempus, hendrerit blandit lacus. Vivamus placerat nulla in mi tristique, fringilla fermentum nisl vehicula. Nullam quis eros non magna tincidunt interdum ac eu eros. Morbi malesuada pulvinar ultrices. Etiam bibendum efficitur risus, sit amet venenatis urna ullamcorper non. Proin fermentum malesuada tortor, vitae mattis sem scelerisque in. Curabitur rutrum leo at mi efficitur suscipit. Vivamus tristique lorem eros, sit amet malesuada augue sodales sed.</p>\r\n', '<p>Etiam bibendum efficitur risus, sit amet venenatis urna ullamcorper non. Proin fermentum malesuada tortor, vitae mattis sem scelerisque in. Curabitur rutrum leo at mi efficitur.</p>\r\n', 0, 'page', 'article', 1, 0, 0, 1, 2, 1399884533, 1425324797, 0),
(6, 1, 'Recherche', 'Recherche', '', 'Recherche', 'search', '', 'noindex,nofollow', '', '', '', '', 0, 'search', '', 0, 0, 0, 1, 7, 1399884533, 1399884533, 1),
(6, 2, 'Search', 'Search', '', 'Search', 'search', '', 'noindex,nofollow', '', '', '', '', 0, 'search', '', 0, 0, 0, 1, 7, 1399884533, 1399884533, 1),
(7, 1, 'Galerie', 'Galerie', '', 'Galerie', 'galerie', '', 'index,follow', NULL, '', '', '', 0, 'page', 'gallery', 1, 0, 0, 1, 3, 1425809004, 1425811081, NULL),
(7, 2, 'Gallery', 'Gallery', '', 'Gallery', 'gallery', '', 'index,follow', NULL, '', '', '', 0, 'page', 'gallery', 1, 0, 0, 1, 3, 1425809004, 1425811081, NULL);

-- ============== CREATION OF THE TABLE pm_page_file =============

CREATE TABLE IF NOT EXISTS pm_page_file (
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    id_item int NOT NULL,
    home int DEFAULT 0,
    checked int DEFAULT 1,
    rank int DEFAULT 0,
    file varchar(250),
    label varchar(250),
    type varchar(20),
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_page_file ADD CONSTRAINT page_file_fkey FOREIGN KEY (id_item,lang) REFERENCES pm_page(id,lang) ON UPDATE NO ACTION ON DELETE CASCADE;
ALTER TABLE pm_page_file ADD CONSTRAINT page_file_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;

-- ================ CREATION OF THE TABLE pm_media ===============

CREATE TABLE IF NOT EXISTS pm_media(
    id int NOT NULL AUTO_INCREMENT,
    PRIMARY KEY(id)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

-- ============== CREATION OF THE TABLE pm_media_file ============

CREATE TABLE IF NOT EXISTS pm_media_file (
    id int NOT NULL AUTO_INCREMENT,
    id_item int NOT NULL,
    home int DEFAULT 0,
    checked int DEFAULT 1,
    rank int DEFAULT 0,
    file varchar(250),
    label varchar(250),
    type varchar(20),
    PRIMARY KEY(id)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_media_file ADD CONSTRAINT media_file_fkey FOREIGN KEY (id_item) REFERENCES pm_media(id) ON UPDATE NO ACTION ON DELETE CASCADE;

-- ================ CREATION OF THE TABLE pm_text ================

CREATE TABLE IF NOT EXISTS pm_text(
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    name varchar(50),
    value varchar(250),
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_text ADD CONSTRAINT text_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;

INSERT INTO pm_text (id, lang, name, value) VALUES
(1, 1, 'CREATION', 'Création'),
(1, 2, 'CREATION', 'Creation'),
(2, 1, 'MESSAGE', 'Message'),
(2, 2, 'MESSAGE', 'Message'),
(3, 1, 'EMAIL', 'E-mail'),
(3, 2, 'EMAIL', 'E-mail'),
(4, 1, 'PHONE', 'Tél.'),
(4, 2, 'PHONE', 'Phone'),
(5, 1, 'FAX', 'Fax'),
(5, 2, 'FAX', 'Fax'),
(6, 1, 'COMPANY', 'Société'),
(6, 2, 'COMPANY', 'Company'),
(7, 1, 'COPY_CODE', 'Recopiez le code'),
(7, 2, 'COPY_CODE', 'Copy the code'),
(8, 1, 'SUBJECT', 'Sujet'),
(8, 2, 'SUBJECT', 'Subject'),
(9, 1, 'REQUIRED_FIELD', 'Champ requis'),
(9, 2, 'REQUIRED_FIELD', 'Required field'),
(10, 1, 'INVALID_CAPTCHA_CODE', 'Le code de sécurité saisi est incorrect'),
(10, 2, 'INVALID_CAPTCHA_CODE', 'Invalid security code'),
(11, 1, 'INVALID_EMAIL', 'Adresse e-mail invalide'),
(11, 2, 'INVALID_EMAIL', 'Invalid email address'),
(12, 1, 'FIRSTNAME', 'Prénom'),
(12, 2, 'FIRSTNAME', 'Firstname'),
(13, 1, 'LASTNAME', 'Nom'),
(13, 2, 'LASTNAME', 'Lastname'),
(14, 1, 'ADDRESS', 'Adresse'),
(14, 2, 'ADDRESS', 'Address'),
(15, 1, 'POSTCODE', 'Code postal'),
(15, 2, 'POSTCODE', 'Post code'),
(16, 1, 'CITY', 'Ville'),
(16, 2, 'CITY', 'City'),
(17, 1, 'MOBILE', 'Portable'),
(17, 2, 'MOBILE', 'Mobile'),
(18, 1, 'ADD', 'Ajouter'),
(18, 2, 'ADD', 'Add'),
(19, 1, 'EDIT', 'Modifier'),
(19, 2, 'EDIT', 'Edit'),
(20, 1, 'INVALID_INPUT', 'Saisie invalide'),
(20, 2, 'INVALID_INPUT', 'Invalid input'),
(21, 1, 'MAIL_DELIVERY_FAILURE', 'Echec lors de l''envoi du message.'),
(21, 2, 'MAIL_DELIVERY_FAILURE', 'A failure occurred during the delivery of this message.'),
(22, 1, 'MAIL_DELIVERY_SUCCESS', 'Merci de votre intérêt, votre message a bien été envoyé.\nNous vous contacterons dans les plus brefs délais.'),
(22, 2, 'MAIL_DELIVERY_SUCCESS', 'Tank you for your interest, your message has been sent.\nWe will contact you as soon as possible.'),
(23, 1, 'SEND', 'Envoyer'),
(23, 2, 'SEND', 'Send'),
(24, 1, 'FORM_ERRORS', 'Le formulaire comporte des erreurs.'),
(24, 2, 'FORM_ERRORS', 'The following form contains some errors.'),
(25, 1, 'FROM_DATE', 'Du'),
(25, 2, 'FROM_DATE', 'From'),
(26, 1, 'TO_DATE', 'au'),
(26, 2, 'TO_DATE', 'to'),
(27, 1, 'FROM', 'De'),
(27, 2, 'FROM', 'From'),
(28, 1, 'TO', 'à'),
(28, 2, 'TO', 'to'),
(29, 1, 'BOOK', 'Réserver'),
(29, 2, 'BOOK', 'Book'),
(30, 1, 'READMORE', 'Lire la suite'),
(30, 2, 'READMORE', 'Read more'),
(31, 1, 'BACK', 'Retour'),
(31, 2, 'BACK', 'Back'),
(32, 1, 'DISCOVER', 'Découvrir'),
(32, 2, 'DISCOVER', 'Discover'),
(33, 1, 'ALL', 'Tous'),
(33, 2, 'ALL', 'All'),
(34, 1, 'ALL_RIGHTS_RESERVED', 'Tous droits réservés'),
(34, 2, 'ALL_RIGHTS_RESERVED', 'All rights reserved'),
(35, 1, 'FORGOTTEN_PASSWORD', 'Mot de passe oublié ?'),
(35, 2, 'FORGOTTEN_PASSWORD', 'Forgotten password?'),
(36, 1, 'LOG_IN', 'Connexion'),
(36, 2, 'LOG_IN', 'Log in'),
(37, 1, 'SIGN_UP', 'Inscription'),
(37, 2, 'SIGN_UP', 'Sign up'),
(38, 1, 'LOG_OUT', 'Déconnexion'),
(38, 2, 'LOG_OUT', 'Log out'),
(39, 1, 'SEARCH', 'Rechercher'),
(39, 2, 'SEARCH', 'Search'),
(40, 1, 'RESET_PASS_SUCCESS', 'Votre nouveau mot de passe vous a été envoyé sur votre adresse e-mail.'),
(40, 2, 'RESET_PASS_SUCCESS', 'Your new password was sent to you on your e-mail.'),
(41, 1, 'PASS_TOO_SHORT', 'Le mot de passe doit contenir 6 caractères au minimum'),
(41, 2, 'PASS_TOO_SHORT', 'The password must contain 6 characters at least'),
(42, 1, 'PASS_DONT_MATCH', 'Les mots de passe doivent correspondre'),
(42, 2, 'PASS_DONT_MATCH', 'The passwords don''t match'),
(43, 1, 'ACCOUNT_EXISTS', 'Un compte existe déjà avec cette adresse e-mail'),
(43, 2, 'ACCOUNT_EXISTS', 'An account already exists with this e-mail'),
(44, 1, 'ACCOUNT_CREATED', 'Votre compte a bien été créé.'),
(44, 2, 'ACCOUNT_CREATED', 'Your account was well created.'),
(45, 1, 'INCORRECT_LOGIN', 'Les informations de connexion sont incorrectes.'),
(45, 2, 'INCORRECT_LOGIN', 'Incorrect login information.'),
(46, 1, 'I_SIGN_UP', 'Je m''inscris'),
(46, 2, 'I_SIGN_UP', 'I sign up'),
(47, 1, 'ALREADY_HAVE_ACCOUNT', 'J''ai déjà un compte'),
(47, 2, 'ALREADY_HAVE_ACCOUNT', 'I already have an account'),
(48, 1, 'MY_ACCOUNT', 'Mon compte'),
(48, 2, 'MY_ACCOUNT', 'My account'),
(49, 1, 'COMMENTS', 'Commentaires'),
(49, 2, 'COMMENTS', 'Comments'),
(50, 1, 'LET_US_KNOW', 'Faîtes-nous savoir ce que vous pensez'),
(50, 2, 'LET_US_KNOW', 'Let us know what you think'),
(51, 1, 'COMMENT_SUCCESS', 'Merci de votre intérêt, votre commentaire va être soumis à validation.'),
(51, 2, 'COMMENT_SUCCESS', 'Tank you for your interest, your comment will be checked.'),
(52, 1, 'SEARCH', 'Recherche'),
(52, 2, 'SEARCH', 'Search'),
(53, 1, 'NO_SEARCH_RESULT', 'Aucun résultat. Vérifiez l''orthographe des termes de recherche (> 3 caractères) ou essayez d''autres mots.'),
(53, 2, 'NO_SEARCH_RESULT', 'No result. Check the spelling terms of search (> 3 characters) or try other words.'),
(54, 1, 'SEARCH_EXCEEDED', 'Nombre de recherches dépassé.'),
(54, 2, 'SEARCH_EXCEEDED', 'Number of researches exceeded.'),
(55, 1, 'SECONDS', 'secondes'),
(55, 2, 'SECONDS', 'seconds'),
(56, 1, 'FOR_A_TOTAL_OF', 'sur un total de'),
(56, 2, 'FOR_A_TOTAL_OF', 'for a total of'),
(57, 1, 'COMMENT', 'Commentaire'),
(57, 2, 'COMMENT', 'Comment'),
(58, 1, 'VIEW', 'Visionner'),
(58, 2, 'VIEW', 'View'),
(59, 1, 'RECENT_ARTICLES', 'Articles récents'),
(59, 2, 'RECENT_ARTICLES', 'Recent articles'),
(60, 1, 'RSS_FEED', 'Flux RSS'),
(60, 2, 'RSS_FEED', 'RSS feed');

-- =============== CREATION OF THE TABLE pm_widget ===============

CREATE TABLE IF NOT EXISTS pm_widget(
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    name varchar(20),
    infos varchar(250),
    content longtext,
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_widget ADD CONSTRAINT widget_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Content OF THE TABLE pm_widget
--

INSERT INTO pm_widget (id, lang, name, infos, content) VALUES
(1, 1, 'FOOTER1', 'Qui sommes-nous ?', '<p class="lead">Qui sommes-nous ?</p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum eget auctor ipsum. Mauris pharetra neque a mauris commodo, at aliquam leo malesuada. Maecenas eget elit eu ligula rhoncus dapibus at non erat. In sed velit eget eros gravida consectetur varius imperdiet lectus.</p>'),
(1, 2, 'FOOTER1', 'About us', '<p class="lead">About us</p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vestibulum eget auctor ipsum. Mauris pharetra neque a mauris commodo, at aliquam leo malesuada. Maecenas eget elit eu ligula rhoncus dapibus at non erat. In sed velit eget eros gravida consectetur varius imperdiet lectus.</p>');


-- ================ CREATION OF THE TABLE pm_article =============

CREATE TABLE IF NOT EXISTS pm_article(
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    title varchar(250),
    subtitle varchar(250),
    text longtext,
    url varchar(250),
    tags varchar(250),
    id_page int,
    home int DEFAULT 0,
    checked int DEFAULT 0,
    rank int DEFAULT 0,
    add_date int,
    edit_date int,
    comment int DEFAULT 0,
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_article ADD CONSTRAINT article_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE pm_article ADD CONSTRAINT article_page_fkey FOREIGN KEY (id_page) REFERENCES pm_page(id) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Content OF THE TABLE pm_article
--

INSERT INTO pm_article (id, lang, title, subtitle, text, url, tags, id_page, home, checked, rank, add_date, edit_date, comment) VALUES
(1, 1, 'Mon premier article', '', '', '', '1,2', 5, 1, 1, 1, 1425324147, 1425808842, 1),
(1, 2, 'My first article', '', '<p>Lorem ipsum dolor sit amet consectetur adipiscing elit. Nullam molestie, nunc eu consequat varius, nisi metus iaculis nulla, nec ornare odio leo quis eros. Donec gravida eget velit eget pulvinar. Phasellus eget est quis est faucibus condimentum. Morbi tellus turpis, posuere vel tincidunt non, varius ac ante. Suspendisse in sem neque. Donec et faucibus justo. Nulla vitae nisl lacus. Fusce tincidunt quam nec vestibulum vestibulum. Vivamus vulputate, nunc non ullamcorper mattis, nunc orci imperdiet nulla, at laoreet ipsum nisl non leo. Aenean dapibus aliquet sem, ut lacinia magna mattis in.</p>\r\n\r\n<h3>Mauris et euismod enim, eget elementum orci</h3>\r\n\r\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur tempor arcu eu sapien ullamcorper sodales. Aenean eu massa in ante commodo scelerisque vitae sed sapien. Aenean eu dictum arcu. Mauris ultricies dolor eu molestie egestas.<br />\r\nProin feugiat, nunc at pellentesque fringilla, ex purus efficitur dolor, ac pretium odio lacus id leo. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse eu ipsum viverra dolor tempus vehicula eu eu risus. Praesent rutrum dapibus odio, nec accumsan justo fermentum in. Ut quis neque a ante facilisis bibendum.</p>\r\n', '', '1,2', 5, 1, 1, 1, 1425324147, 1425808842, 1),
(2, 1, 'Panel de gestion intuitif', '', '', '', '1', 5, 1, 1, 2, 1425324162, 1425808868, 1),
(2, 2, 'Intuitive admin panel', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam molestie, nunc eu consequat varius, nisi metus iaculis nulla, nec ornare odio leo quis eros. Donec gravida eget velit eget pulvinar. Phasellus eget est quis est faucibus condimentum. Morbi tellus turpis, posuere vel tincidunt non, varius ac ante. Suspendisse in sem neque. Donec et faucibus justo. Nulla vitae nisl lacus. Fusce tincidunt quam nec vestibulum vestibulum. Vivamus vulputate, nunc non ullamcorper mattis, nunc orci imperdiet nulla, at laoreet ipsum nisl non leo. Aenean dapibus aliquet sem, ut lacinia magna mattis in.</p>\r\n\r\n<p>Mauris et euismod enim, eget elementum orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur tempor arcu eu sapien ullamcorper sodales. Aenean eu massa in ante commodo scelerisque vitae sed sapien. Aenean eu dictum arcu. Mauris ultricies dolor eu molestie egestas. Proin feugiat, nunc at pellentesque fringilla, ex purus efficitur dolor, ac pretium odio lacus id leo. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse eu ipsum viverra dolor tempus vehicula eu eu risus. Praesent rutrum dapibus odio, nec accumsan justo fermentum in. Ut quis neque a ante facilisis bibendum.</p>\r\n', '', '1', 5, 1, 1, 2, 1425324162, 1425808868, 1),
(3, 1, 'Fully responsive', '', '', '', '2', 5, 1, 1, 3, 1425324164, 1425808786, 1),
(3, 2, 'Fully responsive', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam molestie, nunc eu consequat varius, nisi metus iaculis nulla, nec ornare odio leo quis eros. Donec gravida eget velit eget pulvinar. Phasellus eget est quis est faucibus condimentum. Morbi tellus turpis, posuere vel tincidunt non, varius ac ante. Suspendisse in sem neque. Donec et faucibus justo. Nulla vitae nisl lacus. Fusce tincidunt quam nec vestibulum vestibulum. Vivamus vulputate, nunc non ullamcorper mattis, nunc orci imperdiet nulla, at laoreet ipsum nisl non leo. Aenean dapibus aliquet sem, ut lacinia magna mattis in.</p>\r\n\r\n<p>Mauris et euismod enim, eget elementum orci. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Curabitur tempor arcu eu sapien ullamcorper sodales. Aenean eu massa in ante commodo scelerisque vitae sed sapien. Aenean eu dictum arcu. Mauris ultricies dolor eu molestie egestas. Proin feugiat, nunc at pellentesque fringilla, ex purus efficitur dolor, ac pretium odio lacus id leo. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse eu ipsum viverra dolor tempus vehicula eu eu risus. Praesent rutrum dapibus odio, nec accumsan justo fermentum in. Ut quis neque a ante facilisis bibendum.</p>\r\n', '', '2', 5, 1, 1, 3, 1425324164, 1425808786, 1),
(4, 1, 'Première gallery', '', '', '', '', 7, 0, 1, 4, 1427574555, 1427574856, 0),
(4, 2, 'First gallery', '', '', '', '', 7, 0, 1, 4, 1427574555, 1427574856, 0);

-- ============= CREATION OF THE TABLE pm_article_file ===========

CREATE TABLE IF NOT EXISTS pm_article_file (
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    id_item int NOT NULL,
    home int DEFAULT 0,
    checked int DEFAULT 1,
    rank int DEFAULT 0,
    file varchar(250),
    label varchar(250),
    type varchar(20),
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_article_file ADD CONSTRAINT article_file_fkey FOREIGN KEY (id_item,lang) REFERENCES pm_article(id,lang) ON UPDATE NO ACTION ON DELETE CASCADE;
ALTER TABLE pm_article_file ADD CONSTRAINT article_file_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Content OF THE TABLE pm_article_file
--

INSERT INTO pm_article_file (id, lang, id_item, home, checked, rank, file, label, type) VALUES
(1, 2, 1, 0, 1, 1, 'sample.jpg', '', 'image'),
(2, 2, 2, 0, 1, 2, 'sample2.jpg', '', 'image'),
(3, 2, 3, 0, 1, 3, 'sample3.jpg', '', 'image'),
(4, 2, 4, 0, 1, 4, 'sample4.jpg', '', 'image');

-- ================ CREATION OF THE TABLE pm_comment =============

CREATE TABLE IF NOT EXISTS pm_comment (
    id int(11) NOT NULL AUTO_INCREMENT,
    id_article int(11) NOT NULL,
    checked int(11) DEFAULT '0',
    add_date int(11) DEFAULT '0',
    name varchar(100) DEFAULT NULL,
    email varchar(100) DEFAULT NULL,
    msg longtext,
    PRIMARY KEY(id)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

ALTER TABLE pm_comment ADD CONSTRAINT comment_article_fkey FOREIGN KEY (id_article) REFERENCES pm_article(id) ON UPDATE NO ACTION ON DELETE CASCADE;

-- ================= CREATION OF THE TABLE pm_tag ================

CREATE TABLE IF NOT EXISTS pm_tag(
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    value varchar(250),
    pages varchar(250),
    checked int DEFAULT 0,
    rank int DEFAULT 0,
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_tag ADD CONSTRAINT tag_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Content OF THE TABLE pm_tag
--

INSERT INTO pm_tag (id, lang, value, pages, checked, rank) VALUES
(1, 1, 'Autre', '1,2,3,5,4,6', 1, 1),
(1, 2, 'Other', '1,2,3,5,4,6', 1, 1),
(2, 1, 'Projets web', '1,2,3,5,4,6', 1, 2),
(2, 2, 'Web projects', '1,2,3,5,4,6', 1, 2);

-- ================= CREATION OF THE TABLE pm_slide ==============

CREATE TABLE IF NOT EXISTS pm_slide(
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    title varchar(250),
    subtitle varchar(250),
    id_page int,
    checked int DEFAULT 0,
    rank int DEFAULT 0,
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_slide ADD CONSTRAINT slide_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;
ALTER TABLE pm_slide ADD CONSTRAINT slide_page_fkey FOREIGN KEY (id_page) REFERENCES pm_page(id) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Content OF THE TABLE pm_slide
--

INSERT INTO pm_slide (id, lang, title, subtitle, id_page, checked, rank) VALUES
(1, 1, '', '', 1, 1, 1),
(1, 2, '', '', 1, 1, 1),
(2, 1, '', '', 1, 1, 2),
(2, 2, '', '', 1, 1, 2);

-- ============== CREATION OF THE TABLE pm_slide_file ============

CREATE TABLE IF NOT EXISTS pm_slide_file (
    id int NOT NULL AUTO_INCREMENT,
    lang int NOT NULL,
    id_item int NOT NULL,
    home int DEFAULT 0,
    checked int DEFAULT 1,
    rank int DEFAULT 0,
    file varchar(250),
    label varchar(250),
    type varchar(20),
    PRIMARY KEY(id,lang)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

ALTER TABLE pm_slide_file ADD CONSTRAINT slide_file_fkey FOREIGN KEY (id_item,lang) REFERENCES pm_slide(id,lang) ON UPDATE NO ACTION ON DELETE CASCADE;
ALTER TABLE pm_slide_file ADD CONSTRAINT slide_file_lang_fkey FOREIGN KEY (lang) REFERENCES pm_lang(id) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Content OF THE TABLE pm_slide_file
--

INSERT INTO pm_slide_file (id, lang, id_item, home, checked, rank, file, label, type) VALUES
(1, 2, 1, 0, 1, 2, 'slide1.jpg', '', 'image'),
(2, 2, 2, 0, 1, 3, 'slide2.jpg', '', 'image');
