<?php
/**
 * Common file for Pandao CMS
 * gets the configuration values and defines the environment
 */
if(!is_session_started()) session_start();

if(!defined("ADMIN")) define("ADMIN", false);

// Messages
if(!isset($_SESSION['msg_error'])) $_SESSION['msg_error'] = "";
if(!isset($_SESSION['msg_success'])) $_SESSION['msg_success'] = "";
if(!isset($_SESSION['msg_notice'])) $_SESSION['msg_notice'] = "";

require_once("setenv.php");

$default_lang = 2;
$id_lang = 2;
$lang_tag = "en";
$lang_alias = "";
$locale = "en_GB";
$db = false;

if(ADMIN && is_file(SYSBASE."admin/includes/lang.ini"))
    $texts = parse_ini_file(SYSBASE."admin/includes/lang.ini");

if(is_file(SYSBASE."common/config.php")){
    require_once("config.php");
    try{
        $db = new db("mysql:host=".DB_HOST.";port=".DB_PORT.";dbname=".DB_NAME.";charset=utf8", DB_USER, DB_PASS);
        $db->exec("SET NAMES 'utf8'");
    }catch(PDOException $e){
        $_SESSION['msg_error'] .= $texts['DATABASE_ERROR'];
    }
}

if(($db !== false && db_table_exists($db, "pm_%") === false) || !is_file(SYSBASE."common/config.php")){
    header("Location: ".DOCBASE."admin/setup.php");
    exit();
}

if(!ADMIN){
    $request_uri = (DOCBASE != "/") ? str_replace(DOCBASE, "", $_SERVER['REQUEST_URI']) : $_SERVER['REQUEST_URI'];
    $request_uri = trim($request_uri, "/");
    $pos = strpos($request_uri, "?");
    if($pos !== false) $request_uri = substr($request_uri, 0, $pos);
    
    define("REQUEST_URI", $request_uri);
}

if($db !== false){
    
    if(!ADMIN){
        if(LANG_ENABLED == 1){
            $result_lang = $db->query("SELECT * FROM pm_lang WHERE checked = 1");
            if($result_lang !== false){
                foreach($result_lang as $i => $row){
                    if($row['main'] == 1){
                        $default_lang = $row['id'];
                        $default_lang_tag = $row['tag'];
                    }
                    if($row['checked'] == 1) $langs[$row['tag']] = $row;
                }
            }
            
            $uri = explode("/", REQUEST_URI);
            $lang_tag = $uri[0];
            
            if(!isset($langs[$lang_tag])){
                
                if(preg_match("/(index.php)?/", str_replace(DOCBASE, "", $_SERVER['REQUEST_URI']))){
                    
                    if($lang_tag == ""){
                        if(isset($_COOKIE['LANG_TAG']) && isset($langs[$_COOKIE['LANG_TAG']])){
                            header("HTTP/1.0 404 Not Found");
                            header("Location: ".DOCBASE.$_COOKIE['LANG_TAG']);
                            exit();
                        }else{
                            header("HTTP/1.0 404 Not Found");
                            header("Location: ".DOCBASE.$default_lang_tag);
                            exit();
                        }
                    }else{
                        header("HTTP/1.0 404 Not Found");
                        header("Location: ".DOCBASE."404.html");
                        exit();
                    }
                }elseif(isset($_SESSION['LANG_TAG']))
                    $lang_tag = $_SESSION['LANG_TAG'];
                else
                    $lang_tag = $default_lang_tag;
            }else{
                setcookie("LANG_TAG", $lang_tag, time()+25200);
                
                $_SESSION['LANG_TAG'] = $lang_tag;
                
                $id_lang = $langs[$lang_tag]['id'];
                $locale = $langs[$lang_tag]['locale'];
            }
            $lang_alias = $lang_tag."/";
        }
        
        $texts = array();
        $query = "SELECT * FROM pm_text WHERE lang = ".$id_lang." GROUP BY id";
        $result = $db->query($query);
        foreach($result as $row)
            $texts[$row['name']] = $row['value'];
                
        $widgets = array();
        $query = "SELECT * FROM pm_widget id WHERE lang = ".$id_lang." GROUP BY id";
        $result = $db->query($query);
        foreach($result as $row)
            $widgets[$row['name']] = $row['content'];
    }
}

date_default_timezone_set(TIME_ZONE);

define("DEFAULT_LANG", $default_lang);
define("LANG_ID", $id_lang);
define("LANG_TAG", $lang_tag);
define("LANG_ALIAS", $lang_alias);

setlocale(LC_ALL, $locale.".UTF-8", $locale);

$allowable_file_exts = array(
    "pdf" => "pdf.png",
    "doc" => "doc.png",
    "docx" => "doc.png",
    "odt" => "doc.png",
    "xls" => "xls.png",
    "xlsx" => "xls.png",
    "ods" => "xls.png",
    "ppt" => "ppt.png",
    "pptx" => "ppt.png",
    "odp" => "ppt.png",
    "txt" => "txt.png",
    "csv" => "txt.png",
    "jpg" => "img.png",
    "jpeg" => "img.png",
    "png" => "img.png",
    "gif" => "img.png",
    "swf" => "swf.png"
);
