<?php
/**
 * Display the right model of the template according to the url
 */
require("common/lib.php");
require("common/define.php");

$uri = explode("/", REQUEST_URI);
$err404 = false;
$pages = array();
$sys_pages = array();
$parents = array();
$ishome = false;
$page = null;
$article = null;
$page_id = 0;
$article_id = 0;

$count_uri = count($uri);

if((LANG_ENABLED && $count_uri == 1) || (!LANG_ENABLED && $uri[0] == "")) $ishome = true;
else{
    $i = (LANG_ENABLED) ? 1 : 0;
    $uri_ids = $uri[$i];
    $uri_alias = $uri[$i+1];
    if($count_uri > $i+2) err404();
    $explode = explode("-", $uri_ids);
    if(is_numeric($explode[0])) $page_id = $explode[0]; else err404();
    if(isset($explode[1]))
        if(is_numeric($explode[1])) $article_id = $explode[1]; else err404();
}

$found = false;
$result = @$db->query("SELECT * FROM pm_page WHERE (checked = 1 OR checked = 0) AND lang = ".LANG_ID." ORDER BY rank");
if($result !== false){
    foreach($result as $row){
        
        $id_page = $row['id'];
        $alias = $row['alias'];
        $home = $row['home'];
        
        if($home != 1){
            $alias = $id_page."/".text_format($alias);
            $currequest = $alias;
        }else{
            $alias = DOCBASE.LANG_ALIAS;
            $currequest = "";
        }
        
        $alias = trim(LANG_ALIAS.$alias, "/");
        $currequest = trim(LANG_ALIAS.$currequest, "/");
        
        $row['alias'] = $alias;
        
        if(($ishome && $home == 1) || $page_id == $id_page){
            $page_id = $id_page;
            if($article_id == 0 && $currequest != REQUEST_URI) err404();
            else{
                $page = $row;
                $found = true;
            }
        }
        
        if($home == 1) $homepage = $row;
        
        if($row['system'] == 1) $sys_pages[$row['page_model']] = $row;
        $pages[$id_page] = $row;
        $parents[$row['id_parent']][] = $id_page;
    }
}
if($found === false) err404();

$title_tag = $page['title_tag'];

if($article_id > 0 && $page['article_model'] == "") err404();
if($article_id == 0 && $page['page_model'] == "") err404();

if($article_id > 0) $page_model = $page['article_model'];
else $page_model = $page['page_model'];

$breadcrumbs = array();
$id_parent = $page['id_parent'];
while(isset($parents[$id_parent])){
    if($id_parent > 0 && $id_parent != $homepage['id']){
        $breadcrumbs[] = $id_parent;
        $id_parent = $pages[$id_parent]['id_parent'];
    }else break;
}

$breadcrumbs = array_reverse($breadcrumbs);

$page_model = SYSBASE."templates/".TEMPLATE."/models/".str_replace("_","/",$page_model).".php";
	
if(is_file($page_model)) include($page_model);

require(SYSBASE."templates/".TEMPLATE."/common/footer.php");

ob_flush();
