<?php
if($article_id > 0){
    $result = $db->query("SELECT * FROM pm_article WHERE checked = 1 AND lang = ".LANG_ID." AND id = ".$article_id);
    if($result !== false && $db->last_row_count() == 1){
        
        $article = $result->fetch(PDO::FETCH_ASSOC);
        
        $article_title = $article['title'];
        $title_tag = $article_title." - ".$title_tag;
        $page_title = $article_title;
        $page_subtitle = $article['subtitle'];
        $page_alias = DOCBASE.LANG_ALIAS.$page_id."-".$article_id."/".text_format($article_title);

        if($article['comment'] == 1){
            $result_comment = $db->query("SELECT * FROM pm_comment WHERE id_article = ".$article_id." AND checked = 1 ORDER BY add_date DESC");
            if($result_comment !== false)
                $nb_comments = $db->last_row_count();
        }
    }else err404();
}else err404();

check_URI($page_alias);

/* ==============================================
 * CSS AND JAVASCRIPT USED IN THIS MODEL
 * ==============================================
 */
$javascripts[] = DOCBASE."js/plugins/owl-carousel/owl.carousel.min.js";

$stylesheets[] = array("file" => DOCBASE."js/plugins/owl-carousel/owl.carousel.css", "media" => "all");
$stylesheets[] = array("file" => DOCBASE."js/plugins/owl-carousel/owl.theme.css", "media" => "all");

$msg_error = "";
$msg_success = "";
$field_notice = array();

if(isset($_POST['send'])){
    
    $captcha = strtoupper($_POST['captcha']);
    require(SYSBASE."includes/securimage/securimage.php");
    $img = new Securimage();
    $valid = $img->check($captcha);

    if($valid === false) $field_notice['captcha'] = $texts['INVALID_CAPTCHA_CODE'];
    
    $name = htmlentities($_POST['name'], ENT_QUOTES, "UTF-8");
    $email = htmlentities($_POST['email'], ENT_QUOTES, "UTF-8");
    $msg = htmlentities($_POST['msg'], ENT_QUOTES, "UTF-8");
    
    if($name == "") $field_notice['name'] = $texts['REQUIRED_FIELD'];
    if($msg == "") $field_notice['msg'] = $texts['REQUIRED_FIELD'];
    
    if($email == "" || !preg_match("/^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,6}$/i", $email)) $field_notice['email'] = $texts['INVALID_EMAIL'];
    
    if(count($field_notice) == 0){
        
        $data = array();
        $data['id_article'] = $article_id;
        $data['name'] = $name;
        $data['email'] = $email;
        $data['msg'] = $msg;
        $data['checked'] = 0;
        $data['add_date'] = time();
        
        $result_insert = db_prepareInsert($db, "pm_comment", $data);
        
        if($result_insert->execute() !== false){
    
            $msg_success .= $texts['COMMENT_SUCCESS']."<br>";
    
            $mailContent = "Name: ".$name."<br> \n\n";
            $mailContent .= "E-mail: ".$email."<br> \n\n";
            $mailContent .= "<b>Message:</b><br>".nl2br($msg)." \n\n";
            
            if(!sendMail(EMAIL, OWNER, "New comment", $mailContent, $email, $name))
                $msg_error .= $texts['MAIL_DELIVERY_FAILURE']."<br>";
        }
    }else
        $msg_error .= $texts['FORM_ERRORS']."<br>";
    
}else{
    $name = "";
    $email = "";
    $msg = "";
}

require(SYSBASE."templates/".TEMPLATE."/common/header.php"); ?>

<article id="page">
    <?php include(SYSBASE."templates/".TEMPLATE."/common/page_header.php"); ?>
    
    <div id="content" class="pt30 pb30">
        <div class="container">

            <div class="alert alert-success" style="display:none;"></div>
            <div class="alert alert-danger" style="display:none;"></div>
            
            <div class="row">
                <div class="col-sm-6">
                    <div class="owl-carousel owlWrapper" data-items="1" data-singleitem="true" data-paginationnumbers="true">
                        <?php
                        $result_article_file = $db->query("SELECT * FROM pm_article_file WHERE id_item = ".$article_id." AND checked = 1 AND lang = ".DEFAULT_LANG." AND type = 'image' AND file != '' ORDER BY rank");
                        if($result_article_file !== false){
                            
                            foreach($result_article_file as $i => $row){
                            
                                $file_id = $row['id'];
                                $filename = $row['file'];
                                $label = $row['label'];
                                
                                $realpath = SYSBASE."medias/article/big/".$file_id."/".$filename;
                                $thumbpath = DOCBASE."medias/article/big/".$file_id."/".$filename;
                                
                                if(is_file($realpath)){ ?>
                                    <img alt="<?php echo $label; ?>" src="<?php echo $thumbpath; ?>" class="img-responsive" style="max-height:600px;"/>
                                    <?php
                                }
                            }
                        } ?>
                    </div>
                </div>
                <div class="col-sm-6">
                    <h1><?php echo $article_title; ?></h1>
                    <div class="mb10">
                        <span class="label label-default"><i class="fa fa-thumb-tack"></i> <?php echo strftime("%e %B %Y", $article['add_date']); ?></span>
                        <span class="label label-default"><i class="fa fa-comment"></i> <?php echo $nb_comments." ".mb_strtolower($texts['COMMENTS'], "UTF-8"); ?></span>
                        <?php
                        $result_tag = $db->query("SELECT * FROM pm_tag WHERE id IN (".$article['tags'].") AND checked = 1 AND lang = ".LANG_ID." ORDER BY rank");
                        if($result_tag !== false){
                            $nb_tags = $db->last_row_count();
                            
                            if($nb_tags > 0){ ?>
                                <span class="label label-default"><i class="fa fa-tags"></i>
                                    <?php
                                    foreach($result_tag as $i => $row){
                                        $tag_id = $row['id'];
                                        $tag_value = $row['value'];

                                        echo $tag_value;
                                        if($i+1 < $nb_tags) echo ", ";
                                    } ?>
                                </span>
                                <?php
                            }
                        } ?>
                    </div>
                    <?php echo $article['text']; ?>
                </div>
            </div>
            
            <!-- Comments -->
            <h3 class="mb10"><?php echo $texts['LET_US_KNOW']; ?></h3>
            
            <div class="row">
                <form method="post" action="<?php echo $page_alias; ?>" role="form">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-quote-left"></i></div>
                                <textarea class="form-control" name="msg" placeholder="<?php echo $texts['COMMENT']; ?> *" rows="9"><?php echo $msg; ?></textarea>
                            </div>
                            <div class="field-notice" rel="msg"></div>
                        </div> 
                    </div>
                    <div class="col-sm-6">   
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-user"></i></div>
                                <input type="text" class="form-control" name="name" value="<?php echo $name; ?>" placeholder="<?php echo $texts['LASTNAME']." ".$texts['FIRSTNAME']; ?> *">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
                                <input type="text" class="form-control" name="email" value="<?php echo $email; ?>" placeholder="<?php echo $texts['EMAIL']; ?> *">
                            </div>
                            <div class="field-notice" rel="email"></div>
                        </div>
                        <div class="form-group form-inline">
                            <div class="input-group mb5">
                                <div class="input-group-addon"><i class="fa fa-lock"></i></div>
                                <input type="text" class="form-control" name="captcha" id="captcha" value="" placeholder="<?php echo $texts['COPY_CODE']; ?> *">
                            </div>
                            <img id="captcha_image" alt="" src="<?php echo DOCBASE; ?>includes/securimage/securimage_show.php?sid=<?php echo md5(uniqid(time())); ?>" style="vertical-align:middle;">
                            <a href="#" onclick="document.getElementById('captcha_image').src = '<?php echo DOCBASE; ?>includes/securimage/securimage_show.php?sid=' + Math.random(); return false">
                                <i class="fa fa-refresh"></i>
                            </a>
                            <div class="field-notice" rel="captcha"></div>
                        </div>    
                        <div class="form-group row">
                            <span class="col-sm-12"><button type="submit" class="btn btn-primary" name="send"><i class="fa fa-send"></i> <?php echo $texts['SEND']; ?></button> <i> * <?php echo $texts['REQUIRED_FIELD']; ?></i></span>
                        </div>
                    </div>
                </form>
            </div>
            
            <?php
            if($article['comment'] == 1 && $result_comment !== false){ ?>
                <section class="clearfix">
                    <h3 class="commentNumbers"><?php echo $texts['COMMENTS']." (".$nb_comments.")"; ?></h3>
                    <?php
                    foreach($result_comment as $i => $row){
                        $comment_id = $row['id'];
                        $comment_name = $row['name'];
                        $comment_msg = nl2br($row['msg']);
                        $comment_date = strftime("%B %e, %Y", $row['add_date']); ?>
                        <div class="media">
                            <div class="pull-left">
                                <img src="http://www.gravatar.com/avatar/00000000000000000000000000000000?d=mm&amp;s=50" alt="">
                            </div>
                            <div class="media-body">
                                <div class="clearfix">
                                    <h4 class="media-heading"><?php echo $comment_name; ?></h4>
                                    <div class="commentInfo"> <span><?php echo $comment_date; ?></span></div>
                                </div>
                                <?php echo $comment_msg; ?>
                            </div>
                        </div>
                        <?php
                    } ?>
                </section>
                <?php
            } ?>
        </div>
    </div>
</article>
