<?php
$msg_error = "";
$msg_success = "";
$field_notice = array();

if(isset($_POST['send'])){
    
    $captcha = strtoupper($_POST['captcha']);
    require(SYSBASE."includes/securimage/securimage.php");
    $img = new Securimage();
    $valid = $img->check($captcha);

    if($valid === false) $field_notice['captcha'] = $texts['INVALID_CAPTCHA_CODE'];
    
    $name = $_POST['name'];
    $address = $_POST['address'];
    $phone = $_POST['phone'];
    $email = $_POST['email'];
    $msg = $_POST['msg'];
    $subject = $_POST['subject'];
    
    if($name == "") $field_notice['name'] = $texts['REQUIRED_FIELD'];
    if($phone == "") $field_notice['phone'] = $texts['REQUIRED_FIELD'];
    if($msg == "") $field_notice['msg'] = $texts['REQUIRED_FIELD'];
    if($subject == "") $field_notice['subject'] = $texts['REQUIRED_FIELD'];
    
    if($email == "" || !preg_match("/^[\w.-]+@[\w.-]+\.[a-zA-Z]{2,6}$/i", $email)) $field_notice['email'] = $texts['INVALID_EMAIL'];
    
    if(count($field_notice) == 0){
    
        $mailContent = "";
        if($name != "") $mailContent .= "Name: ".$name."<br> \n\n";
        if($address != "") $mailContent .= "Address: ".$address."<br> \n\n";
        if($phone != "") $mailContent .= "Phone: ".$phone."<br> \n\n";
        if($email != "") $mailContent .= "E-mail: ".$email."<br> \n\n";
        if($msg != "") $mailContent .= "<b>Message:</b><br> \n\n";
        
        if(!sendMail(EMAIL, OWNER, $subject, $mailContent))
            $msg_error .= $texts['MAIL_DELIVERY_FAILURE'];
        else
            $msg_success .= $texts['MAIL_DELIVERY_SUCCESS'];
    }else
        $msg_error .= $texts['FORM_ERRORS'];
    
}else{
    $name = "";
    $address = "";
    $phone = "";
    $email = "";
    $subject = "";
    $msg = "";
}

require(SYSBASE."templates/".TEMPLATE."/common/header.php"); ?>

<section id="page">
    
    <?php include(SYSBASE."templates/".TEMPLATE."/common/page_header.php"); ?>
    
    <section id="content" class="clearfix">
        <div id="mapWrapper"></div>
        <div class="container pt30 pb15">

            <div class="alert alert-success" style="display:none;"></div>
            <div class="alert alert-danger" style="display:none;"></div>
            
            <div class="row">
                <form method="post" action="<?php echo DOCBASE.$page['alias']; ?>" role="form">
                    <div class="col-sm-4">
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-user"></i></div>
                                <input type="text" class="form-control" name="name" value="<?php echo $name; ?>" placeholder="<?php echo $texts['LASTNAME']." ".$texts['FIRSTNAME']; ?> *">
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-envelope"></i></div>
                                <input type="text" class="form-control" name="email" value="<?php echo $email; ?>" placeholder="<?php echo $texts['EMAIL']; ?> *">
                            </div>
                            <div class="field-notice" rel="email"></div>
                        </div>
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-home"></i></div>
                                <textarea class="form-control" name="address" placeholder="<?php echo $texts['ADDRESS'].", ".$texts['POSTCODE'].", ".$texts['CITY']; ?> *"><?php echo $address; ?></textarea>
                            </div>
                            <div class="field-notice" rel="address"></div>
                        </div>
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-phone"></i></div>
                                <input type="text" class="form-control" name="phone" value="<?php echo $phone; ?>" placeholder="<?php echo $texts['PHONE']; ?> *">
                            </div>
                            <div class="field-notice" rel="phone"></div>
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-question"></i></div>
                                <input type="text" class="form-control" name="subject" value="<?php echo $subject; ?>" placeholder="<?php echo $texts['SUBJECT']; ?> *">
                            </div>
                            <div class="field-notice" rel="subject"></div>
                        </div>
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon"><i class="fa fa-quote-left"></i></div>
                                <textarea class="form-control" name="msg" placeholder="<?php echo $texts['MESSAGE']; ?> *" rows="4"><?php echo $msg; ?></textarea>
                            </div>
                            <div class="field-notice" rel="msg"></div>
                        </div>    
                        <div class="form-group form-inline">
                            <div class="input-group mb5">
                                <div class="input-group-addon"><i class="fa fa-lock"></i></div>
                                <input type="text" class="form-control" name="captcha" id="captcha" value="" placeholder="<?php echo $texts['COPY_CODE']; ?> *">
                            </div>
                            <img id="captcha_image" alt="" src="<?php echo DOCBASE; ?>includes/securimage/securimage_show.php?sid=<?php echo md5(uniqid(time())); ?>" style="vertical-align:middle;">
                            <a href="#" onclick="document.getElementById('captcha_image').src = '<?php echo DOCBASE; ?>includes/securimage/securimage_show.php?sid=' + Math.random(); return false">
                                <i class="fa fa-refresh"></i>
                            </a>
                            <div class="field-notice" rel="captcha"></div>
                        </div>    
                        <div class="form-group row">
                            <span class="col-sm-12"><button type="submit" class="btn btn-primary" name="send"><i class="fa fa-send"></i> <?php echo $texts['SEND']; ?></button> <i> * <?php echo $texts['REQUIRED_FIELD']; ?></i></span>
                        </div>
                    </div>
                </form>
                <div class="col-sm-3">
                    <div class="hotBox" itemscope itemtype="http://schema.org/Corporation">
                        <h2 itemprop="name"><?php echo OWNER; ?></h2>
                        <address>
                            <p>
                                <?php if(ADDRESS != "") : ?><span class="fa fa-map-marker"></span> <span itemprop="address" itemtype="http://schema.org/PostalAddress"><?php echo nl2br(ADDRESS); ?></span><br><?php endif; ?>
                                <?php if(PHONE != "") : ?><span class="fa fa-phone"></span> <span itemprop="telephone"><?php echo PHONE; ?></span><br><?php endif; ?>
                                <?php if(FAX != "") : ?><span class="fa fa-fax"></span> <span itemprop="faxNumber"><?php echo FAX; ?></span><br><?php endif; ?>
                                <?php if(EMAIL != "") : ?><span class="fa fa-envelope"></span> <a itemprop="email" href="mailto:<?php echo EMAIL; ?>"><?php echo EMAIL; ?></a><?php endif; ?>
                            </p>
                        </address>
                    </div>
                </div>
            </div>
        </div>
    </section>
</section>
